LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

labview.2019

HI there,

 

I am getting error while creating installer in 2014 that 

 

Ignoring 'NI Real-Time Execution Trace Toolkit LabVIEW 2009 Support' because there is an error in this product's installation data. Updating, repairing, or reinstalling the product may resolve this issue.

Additional details:

Input data has errors.

Code:

-60

 

Error:

Internal error.

Code:

-40

 

Can somebody help

0 Kudos
Message 1 of 8
(2,499 Views)

This post makes no sense.  Either fix it or ask a Moderator to remove it (maybe you were simply typing in your sleep).

 

Bob Schor

0 Kudos
Message 2 of 8
(2,412 Views)

it seems you are very much expert so that not allows you to reply like that

it is also understood to me that installation some components are having error so shall i reinstall whole 2014 so that all components get corrected?

 

please explain clearly you mean to say i am attaching the error

 

Click the link below to visit the Application Builder support page. Use the following information as a reference:

 

CDK_Item_OnDoProperties.vi.ProxyCaller >> CDK_Item_OnDoProperties.vi >> AB_UI_FRAMEWORK.vi >> AB_UI_Frmwk_Installer.lvclass:Build.vi >> Installer.lvclass:Build_from_Wizard.vi >> IB_MSI.lvclass:Build.vi >> IB_MSI.lvclass:Engine_BuildDevPart.vi >> CDK_Engine_AddFiles.vi >> NI_MDF.lvlib:MDFBuildDevPart_AddFile.vi
D:\Santosh\PC_PQA1\EN_report\2014\PC-PQA1_V1_02\builds\Power Configurator

The following errors and warnings were recorded during the build:

Warning:
Ignoring product
Details:
Ignoring 'NI .NET Framework 2.0 Language Pack x86 Installer' because there is an error in this product's installation data. Updating, repairing, or reinstalling the product may resolve this issue.
Additional details:
Input data has errors.
Code:
-60

 

Error:
Internal installer builder component error.
Details:
An invalid destination path, "", was specified for the file "Power Configurator.exe" located in "D:\Santosh\PC_PQA1\EN_report\2014\PC-PQA1_V1_02\builds\Power Configurator".
Additional details:
Error adding file: D:\Santosh\PC_PQA1\EN_report\2014\PC-PQA1_V1_02\builds\Power Configurator\Power Configurator.exe
Code:
-33

 

if installer is ignoring product then why installer is not created ?

reply sensibly as i am beginner for labvie

0 Kudos
Message 3 of 8
(2,399 Views)

Reading through your more detailed post, it appears as though there is a problem in the NI .NET Framework 2.0 Language Pack installation, and that this package is a required part of your installer?

As a result, the installer failed to complete.

Guessing, I'd say that the second error is telling you the installer couldn't be created because the executable that it was supposed to install failed for the first reason.


GCentral
0 Kudos
Message 4 of 8
(2,378 Views)

@ksantosh wrote:

I am getting error while creating installer in 2014 that 

 

Ignoring 'NI Real-Time Execution Trace Toolkit LabVIEW 2009 Support'


The title of the Original Post is "labview.2019".  The first sentence mentions 2014 (I assume LabVIEW 2014), and the next sentence talks about LabVIEW 2009 Support.  Now the title seems to have been changed to "labview.2014".

 

Please explain what version, or versions, of LabVIEW you are trying to use.  What version, or versions, of LabVIEW have been successfully installed (and tested) on your computer?  Are you installing an additional version, or trying to add a feature to an existing version?

 

Prior to LabVIEW 2017, LabVIEW installation typically involved a "Distribution kit", often in the form of a number of DVDs or a USB Flash Drive.  Installation of these older versions was usually uncomplicated, though it sometimes helped to do it "slowly" (LabVIEW, then Toolkits and Modules, then Drivers).  When something went wrong on an installation (or you needed to install an older version "on top of" a newer one), the (safest) first step was to uninstall all NI Software and "start all over".

 

If you do not have a Distribution Kit, then you need to download the proper Installers from NI. a process that may involve NIPM, the new NI Package Manager, which has some growing pains.

 

If you can clarify your situation (stating clearly and consistently which version or versions of LabVIEW you have on your machine, and which you want to have, and a clearer description of when and where the error occurs, we may be able to provide additional suggestions.

 

Bob Schor

Message 5 of 8
(2,370 Views)

I don't know if this is related but recently I installed a LabVIEW program I wrote on a new PC and it flagged an error during the install related to Net Assemblies for .Net 2.0 failed. Never had seen that before- the program has been installed on dozens of PC's over the past decade without issue. Trying to run the installed program flagged a bunch of errors (The full devel version of LV is required...)

 

Turns out this Lenovo had .Net 4.0 installed but not the 2.0. Google-fu led me to typing 'features' in the start menu to turn Windows Features On/Off (never knew about Features). The older .Net assembly was not checked. Checking it then led to the PC downloading/installing .Net Framework 3.5 which also installed legacy 2.x. Program then ran just fine.

 

-AK2DM

~~~~~~~~~~~~~~~~~~~~~~~~~~
"It’s the questions that drive us.”
~~~~~~~~~~~~~~~~~~~~~~~~~~
0 Kudos
Message 6 of 8
(2,350 Views)

@AnalogKid2DigitalMan wrote:

Google-fu led me to typing 'features' in the start menu to turn Windows Features On/Off (never knew about Features).


That's why I couldn't find Minesweeper.  And now I can turn off IE11?  Hmm....

aputman
------------------
Heads up! NI has moved LabVIEW to a mandatory SaaS subscription policy, along with a big price increase. Make your voice heard.
0 Kudos
Message 7 of 8
(2,321 Views)

Hi there,

Actually I had application made in Labview 2009 , now I want add some more features into that , so i done it but while creating executable in 2009, labview used to close abruptly and exe could not be created.

so since there was issue in 2009 exe creation so i thought to port it to 2014. so in 2014 exe created but installer not created.

if anybody help me out fixing 2009 exe building issue my problem is over.

here attaching LOG of 2009 exe creation and screenshots.

I am not using 2019 it was my mistake.

I think i made clear myself

 

Download All
0 Kudos
Message 8 of 8
(2,244 Views)